<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    // khơi tạo với set
    var numbers= new Set([1,2,3,4])
    console.log(numbers)
    numbers.add(5);
    numbers.delete(1);
    
    console.log(numbers.has(3))
    console.log(numbers.size)
    // loop 
    for(let number of numbers){
        console.log(number)
    }
    //chuyển từ set sang mảng
    let number_arr= [...numbers]
    console.log(number_arr)
    // Mapping
    var set= new Set([3,5,4,12])
    let arr=[...set].map((index)=>{
        return index * 2;
    })
    console.log(set);
    console.log(arr)
    // filtering
    let arr2= [...set].filter((x)=>{
        return (x % 2)==0;
    })
    console.log(arr2)
    </script>
</body>
</html>